import {Component, OnDestroy} from '@angular/core';
import {ICellRendererAngularComp} from 'ag-grid-angular';

@Component({
  selector: 'app-delete-button',
  templateUrl: './edit-template-button.component.html',
  styleUrls: ['./edit-template-button.component.css']
})
export class EditTemplateButtonComponent implements ICellRendererAngularComp, OnDestroy {
  public params: any;

  agInit(params: any): void {
    this.params = params;
  }

  ngOnDestroy(): void {

  }

  public invokeParentMethod() {
    this.params.context.componentParent.editTemplate(this.params.data);
  }

  refresh(): boolean {
    return false;
  }
}
